Summary: An internet search engine
Name: mnogosearch
Version: 3.1.20
Release: 2
License: GPL
Group: Applications/Internet
Source: http://www.mnogosearch.org/Download/mnogosearch-%{version}.tar.gz
Patch0: init.patch
Prereq: /sbin/chkconfig /etc/init.d /sbin/service
BuildRequires: openssl-devel
URL: http://www.mnogosearch.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define docdir %{name}-%{version}-%{release}

# Redefine "database" to one of the following to suit your needs:
# mysql    for MySQL support
# pgsql    for PostgreSQL support
# msql     for mSQL support
# iodbc    for iODBC support
# unixODBC for unixODBC support
# solid    for Solid support
# openlink for OpenLink ODBC support
# easysoft for EasySoft ODBC support
# sapdb    for SAPDB support
# ibase    for InterBase support
# oracle7  for Oracle 7.3 support
# oracle8  for Oracle8 support
# oracle8i for Oracle8i support
# built-in for built-in database support

%define  database	mysql

%description
mnoGoSearch (formerly udm-search) is a full-featured engine for 
intranet and internet servers. It has a number of unique features 
which make it appropriate for a wide range of uses, from search 
within your site through specialized search systems such as cooking 
recipes or newspaper searches, to ftp archive search, MP3 search, 
news articles search or even national-wide portal search. 

%prep
%setup -n mnogosearch-%{version}
%patch0 -p0

%build
./configure \
	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--libexecdir=%{_libexecdir} \
	--datadir=%{_datadir} \
	--sysconfdir=%{_sysconfdir}/mnogosearch \
	--sharedstatedir=%{_sharedstatedir} \
	--localstatedir=%{_localstatedir}/mnogosearch \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--with-openssl=/usr/include/openssl \
	--enable-fast-tag \
	--enable-fast-cat \
	--enable-fast-site \
	--enable-phrase \
	--with-%{database}

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cp -ar doc/samples/* $RPM_BUILD_ROOT/etc/mnogosearch/
mkdir $RPM_BUILD_ROOT/usr/docs
mkdir $RPM_BUILD_ROOT/usr/docs/%{docdir}
mv $RPM_BUILD_ROOT/usr/doc/* $RPM_BUILD_ROOT/usr/docs/%{docdir}/
cp -ar create $RPM_BUILD_ROOT/usr/docs/%{docdir}
rm -rf $RPM_BUILD_ROOT/usr/doc
mv $RPM_BUILD_ROOT/usr/docs $RPM_BUILD_ROOT/usr/doc 
rm -rf $RPM_BUILD_ROOT/etc/mnogosearch/CVS
mkdir $RPM_BUILD_ROOT/etc/rc.d
mkdir $RPM_BUILD_ROOT/etc/rc.d/init.d
cp cachelogd $RPM_BUILD_ROOT/etc/rc.d/init.d/
chmod 0755 $RPM_BUILD_ROOT/etc/rc.d/init.d/cachelogd 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_prefix}/doc/%{docdir}
%config %{_sysconfdir}/mnogosearch/*
%config %{_sysconfdir}/rc.d/init.d/cachelogd
%{_mandir}/man1/indexer.1.gz
%{_mandir}/man5/indexer.conf.5.gz
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/*
%{_includedir}/*
#%{_localstatedir}/mnogosearch/*

%post
/sbin/chkconfig --add cachelogd

%preun
/sbin/chkconfig --del cachelogd

%changelog

* Sun Jul 21 2002 Zenon Panoussis <oracle@xs4all.nl>
- Added initscript for cachelogd and cleaned up a bit.
* Sat Jul 20 2002 Zenon Panoussis <oracle@xs4all.nl>
- First packaging. Very Ugly Workaround(TM) to get %doc to 
  behave as it's supposed to.

